clear all
close all
clc

% 
% % %% Measurements 21 mW/cm2 total 65 measured
% load ('1LED_3.9V_4.2A_2steps2.mat')
% MeasuredPower=21;


%% Measurements 55 mW/cm2 total 165 mW measured? check this
MeasuredPower=55;
load ('12LED_15.1V_1.24A_2steps.mat')
%%

%%make the normalized array
normarray=meandata;
%% plot the circle and area of interest
% define range
x_start = 2;
x_end = 51;
y_start = 7;
y_end = 56;
% x_start = 2;
% x_end = 51;
% y_start = 10;
% y_end = 59;
pix2mm=0.5; %the scaling between pixels and mm: one pixel is 0.5x0.5 mm^2

diameter=2; %[cm] it is 20 mm the optical window diameter
area= pi*(diameter/2)^2;
totalirradiation=MeasuredPower*area %[mW] 55 mW/cm2* area
totalpixel=sum(sum(meandata)); %all the values in the circle

irradiation= meandata*totalirradiation/totalpixel/((pix2mm/10)^2);% to calculate mW.cm^-2 because 1 pixel is 0.5 mm
pcolor(irradiation)
colorbar


